IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PUR_IMPROVE_L' AND KSQL_COL_NAME ='FSRCBILLNAME') 
 ALTER TABLE T_PUR_IMPROVE_L ADD (FSRCBILLNAME NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PUR_IMPROVE_A' AND KSQL_COL_NAME ='FINVALIDDATE') 
 ALTER TABLE T_PUR_IMPROVE_A ADD (FINVALIDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PUR_IMPROVE_A' AND KSQL_COL_NAME ='FINVALIDID') 
 ALTER TABLE T_PUR_IMPROVE_A ADD (FINVALIDID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_PUR_SUPPLIERCHGENTRY', 'FCHGFIELD', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';
